Subject: bug#16265: 24.3.50; re-search-forward (error "Invalid search bound (wrong side of point)")

From: Keith David Bershatsky <[email-masked]>
Date: Tue, 31 Dec 2013 09:37:15 -0800

Nicolas:

Yes, `(setq-default cache-long-scans nil)` does indeed fix the problem.  In a version of Emacs Trunk built on October 5, 2013, the default value for `cache-long-scans` is `nil`.  In the recent version of Emacs Trunk built on December 23, 2013, the default value for `cache-long-scans` is `t`.

I would suspect that anyone who uses `org-capture` will have significant problems performing various operations on the `org-agenda-files` subsequent to the initial call.  So my recommendation would be that the Emacs team return the default value of `cache-long-scans` to `nil`; or, fix it somehow so that it doesn't interfere with popular functions like `re-search-forward` and `re-search-backward` after calling `org-capture`.

Thank you very much for your hard work tracking down the issue.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Tue, 31 Dec 2013 15:16:40 +0100,
Nicolas Richard wrote:
> 
> Nicolas Richard <[email-masked]> writes:
> > I'll bisect this (I tested 24.3, it works there) and post the result
> 
> bisection is done.
> # first bad commit: [f56f1e3993fd79240e03666cf8390f489b4a2435] Switch cache-long-scans to t by default.
> 
> and indeed, running
> emacs -Q --batch --eval '(setq-default cache-long-scans nil)' -l filenamehere
> worked for me.
> 
> Keith, can you test if it fixes the problems your are seeing as well ?
> (If it doesn't then I guess we'll need another bug report.) If it does,
> the next step is to understand why things break when the caching
> mechanism is enabled -- I give up there.
> 
> -- 
> Nico.